RTSX(4)

NAME
rtsx - Realtek SD card reader

SYNOPSIS
rtsx* at pci?
sdmmc* at rtsx?

DESCRIPTION
The rtsx driver provides support for the Realtek RTS5209, RTS5227, RTS5229, RTS525A, RTL8402, RTL8411 and RTL8411B SD card readers.

The sdmmc(4) subsystem performs SD/MMC transactions to communicate with whatever MMC, SD or SDHC devices are inserted into the SD slot.

SEE ALSO
intro(4), sdmmc(4)

HISTORY
The rtsx driver first appeared in OpenBSD 5.3 and in NetBSD 7.0.

AUTHORS
-nosplit The rtsx driver was written by Stefan Sperling <stsp@openbsd.org> for OpenBSD and ported to NetBSD by NONAKA Kimihiro <nonaka@netbsd.org>.

BUGS
The rtsx driver does not support MS (Memory Stick) and xD (Extreme Digital) devices even though the hardware supports them.

Support for SDIO interrupts is not implemented.